%global pypi_name pytest-runner

# no python-pytest-black available
%bcond_with check

Name:           python-%{pypi_name}
Version:        6.0.0
Release:        %mkrel 5
Summary:        Invoke py.test as distutils command with dependency resolution
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pytest-runner
# setuptools-scm requires a pypi tarball and doesn't like github tarball
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest)

%description
Setup scripts can use pytest-runner to add setup.py test support for pytest runner.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3-pytest

%description -n python3-%{pypi_name}
Setup scripts can use pytest-runner to add setup.py test support for pytest runner.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x testing}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ptr

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Sun Dec 22 2024 papoteur <papoteur> 6.0.0-5.mga10
+ Revision: 2128988
- add and use pytest
- add and use pytest
- add and use pytest

* Thu Dec 07 2023 wally <wally> 6.0.0-2.mga10
+ Revision: 2015253
- rebuild for py3.12

* Mon Nov 27 2023 wally <wally> 6.0.0-1.mga10
+ Revision: 2010362
- new version 6.0.0
- use pyproject rpm macros

* Sat Mar 26 2022 umeabot <umeabot> 5.3.1-3.mga9
+ Revision: 1828442
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 wally <wally> 5.3.1-2.mga9
+ Revision: 1773562
- rebuild for python3.10

* Sat Jun 26 2021 wally <wally> 5.3.1-1.mga9
+ Revision: 1733869
- new version 5.3.1

* Sun Mar 14 2021 wally <wally> 5.3.0-1.mga9
+ Revision: 1702838
- new version 5.3.0
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 4.2-3.mga8
+ Revision: 1530956
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 4.2-2.mga8
+ Revision: 1437962
- rebuild for python3.8
- drop python2 support

* Sun Jan 06 2019 shlomif <shlomif> 4.2-1.mga7
+ Revision: 1350154
- new version 4.2 + rebuild for py3.7

* Sat Jan 05 2019 wally <wally> 4.0-2.mga7
+ Revision: 1349751
- rebuild for python3.7

* Sat Oct 20 2018 tv <tv> 4.0-1.mga7
+ Revision: 1323142
- new release

* Thu Sep 20 2018 umeabot <umeabot> 2.9-8.mga7
+ Revision: 1289896
- Mageia 7 Mass Rebuild

* Sat Nov 25 2017 daviddavid <daviddavid> 2.9-7.mga7
+ Revision: 1179231
- rebuild to regenerate python provides

* Sat Aug 05 2017 pterjan <pterjan> 2.9-6.mga7
+ Revision: 1135588
- Rebuild for python 3.6

* Sun May 14 2017 ngompa <ngompa> 2.9-5.mga6
+ Revision: 1101175
- Port to Mageia
- imported package python-pytest-runner


* Thu Mar 9 2017 Orion Poplawski <orion@cora.nwra.com> - 2.9-4
- Build python 3 version for EPEL

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Dec 13 2016 Stratakis Charalampos <cstratak@redhat.com> - 2.9-2
- Rebuild for Python 3.6

* Sat Aug 06 2016 Vadim Rutkovsky <vrutkovs@redhat.com> - 2.9-1
- Initial package
